# Perlfect Search Configuration file

# NOTE: Whenever you change one of the options that's marked with [re-index] you
# need to run indexer.pl again to make the change take effect.

### http-Extension ###

# Where you want the indexer to start
$START_URL = 'http://localhost/testindex/';

# Limit crawling to this URL:
$LIMIT_URL = 'http://localhost/testindex/';

# The content types to index
@CONTENT_TYPES = ('text/html', 'text/plain');

### End http-Extension ###

# Where you want the indexer to start. [re-index]
$DOCUMENT_ROOT = '/home/perlfect/perlfect.com/html/';

# The base url of your site.
$BASE_URL = 'http://localhost';

# The url in which perlfect search is located (usually somewhere in cgi-bin/).
$CGIBIN = "/cgi-bin/search-3.09http/";

# The full-path of the directory where perlfect search is installed.
$INSTALL_DIR = '/home/cgi/search-3.09http/';

# Only files with these extensions should be indexed. [re-index]
@EXT = ("html", "htm", "shtml");

# How many results should be shown per page.
$RESULTS_PER_PAGE = 5;

# Do you want to index numbers? If so set $INDEX_NUMBERS to 1. [re-index]
$INDEX_NUMBERS = 0;

# How many words should be used from the <BODY> of an html document as a description
# for the document in case there is no <META description> tag available. [re-index]
$DESC_WORDS = 25;

# The minimum length of a word. Any word of smaller size is not indexed. [re-index]
$MINLENGTH = 3;

# If you have umlauts or accents etc. in your text, enable this.
# With this option accented characters will be indexed as the
# characters they are based on (e.g.  -> e,  -> u), without
# this option they will be filtered out completely (you don't want that). [re-index]
$SPECIAL_CHARACTERS = 1;

# The largest acceptable word size. Reducing this saves space but decreases result
# accuracy. Setting the variable to 0 ignores stemming alltogether and also makes 
# the indexer a bit faster. [re-index]
$STEMCHARS = 0;

# How much more important are words found in the meta values (author,
# description, keywords) compared to normal text in the body? This
# influences the ranking of the results
# Use any integer (0 = ignore meta information completely) [re-index]
$META_WEIGHT = 3;

# Add URLs to the index, so one can search for them? Note that special
# characters will be ignored, just as in normal text. [re-index]
$INDEX_URLS = 0;

# Directory with templates (normally you don't have to modify this).
$TEMPLATE_DIR = $INSTALL_DIR.'templates/';

# What's the default language. This is the language that's used if no lang
# parameter is passed to the script or if the parameter is invalid.
$DEFAULT_LANG = 'en';

# The result template for several languages.
$SEARCH_TEMPLATE{'en'} = $TEMPLATE_DIR.'search.html';
$SEARCH_TEMPLATE{'de'} = $TEMPLATE_DIR.'search_de.html';

# The text for the "Next Page" link in several languages.
$NEXT_PAGE{'en'} = 'Next';
$NEXT_PAGE{'de'} = 'n&auml;chste Seite';

# The text for the "Previous Page" link in several languages.
$PREV_PAGE{'en'} = 'Previous';
$PREV_PAGE{'de'} = 'vorige Seite';

# You shouldn't have to edit anything below this line.
$DATA_DIR = $INSTALL_DIR.'data/';
$INV_INDEX_DB_FILE = $DATA_DIR.'inv_index';
$DOCS_DB_FILE      = $DATA_DIR.'docs';
$TERMS_DB_FILE     = $DATA_DIR.'terms';
$DF_DB_FILE        = $DATA_DIR.'df';
$TF_DB_FILE        = $DATA_DIR.'tf';
$DESC_DB_FILE      = $DATA_DIR.'desc';
$TITLES_DB_FILE    = $DATA_DIR.'titles';

$INV_INDEX_TMP_DB_FILE = $DATA_DIR.'inv_index_tmp';
$DOCS_TMP_DB_FILE      = $DATA_DIR.'docs_tmp';
$TERMS_TMP_DB_FILE     = $DATA_DIR.'terms_tmp';
$DESC_TMP_DB_FILE      = $DATA_DIR.'desc_tmp';
$TITLES_TMP_DB_FILE    = $DATA_DIR.'titles_tmp';

$CONF_DIR = $INSTALL_DIR."conf/";
$STOPWORDS_FILE = $CONF_DIR.'stopwords.txt';
$NO_INDEX_FILE = $CONF_DIR.'no_index.txt';

$SEARCH = 'search.pl';
$SEARCH_URL = $CGIBIN.$SEARCH;

$VERSION = "3.09http";
1;
